/** @type {import('tailwindcss').Config} */
module.exports = {
  theme: {
    extend: {
      backgroundImage: {

        conic: 'conic-gradient(var(--tw-gradient-stops))',
        'conic-at-t': 
          'conic-gradient(at top, var(--tw-gradient-stops))',
        'conic-at-b': 
          'conic-gradient(at bottom, var(--tw-gradient-stops))',
        'conic-at-l': 
          'conic-gradient(at left, var(--tw-gradient-stops))',
        'conic-at-r': 
            'conic-gradient(at right, var(--tw-gradient-stops))',
        'conic-at-tl': 
          'conic-gradient(at top left, var(--tw-gradient-stops))',
        'conic-at-tr': 
          'conic-gradient(at top right, var(--tw-gradient-stops))',
        'conic-at-bl': 
          'conic-gradient(at bottom left, var(--tw-gradient-stops))',
        'conic-at-br': 
          'conic-gradient(at bottom right, var(--tw-gradient-stops))',

        radial: 'radial-gradient(ellipse at center, var(--tw-gradient-stops))',
        'radial-at-t':
          'radial-gradient(ellipse at top, var(--tw-gradient-stops))',
        'radial-at-b':
          'radial-gradient(ellipse at bottom, var(--tw-gradient-stops))',
        'radial-at-l':
          'radial-gradient(ellipse at left, var(--tw-gradient-stops))',
        'radial-at-r':
          'radial-gradient(ellipse at right, var(--tw-gradient-stops))',
        'radial-at-tl':
          'radial-gradient(ellipse at top left, var(--tw-gradient-stops))',
        'radial-at-tr':
          'radial-gradient(ellipse at top right, var(--tw-gradient-stops))',
        'radial-at-bl':
          'radial-gradient(ellipse at bottom left, var(--tw-gradient-stops))',
        'radial-at-br':
          'radial-gradient(ellipse at bottom right, var(--tw-gradient-stops))'
      },
    },
  },
}
